Kodi Community Forum

Full Version: no ubuntu 19.10 eoan ppa
You're currently viewing a stripped down version of our content. View the full version with proper formatting.
Pages: 1 2
the ubuntu 19.10 ppa only provides debian 17.6. will there be a kodi 18.4 Leila like previous versions of ubuntu?
The Ubuntu repositories never provided Kodi 18.4. At least not for Ubuntu 18.04 and I doubt they did it for Ubuntu 19.04.

Kodi 18.4 can be installed from the Kodi PPA. Ubuntu 19.10 was released yesterday and currently we do not ship Kodi 18.4 via our stable PPA for Ubuntu 19.10. Currently we don't support Ubuntu 19.10 at all from any of our repos. For the moment your best bet is to compile Kodi from source.

I pinged the responsible person and I will give you a feedback after he replied.
And as promised, here's the feedback

We will provide Kodi 18.4 for Ubuntu 19.10 via our stable ppa. Just give us some time until the specific person has done it Wink
(2019-10-18, 18:34)DaVu Wrote: [ -> ]And as promised, here's the feedback

We will provide Kodi 18.4 for Ubuntu 19.10 via our stable ppa. Just give us some time until the specific person has done it Wink

Fantastic! the Kodi team are awesome
(2019-10-18, 22:16)purplecload Wrote: [ -> ]
(2019-10-18, 18:34)DaVu Wrote: [ -> ]And as promised, here's the feedback

We will provide Kodi 18.4 for Ubuntu 19.10 via our stable ppa. Just give us some time until the specific person has done it Wink

Fantastic! the Kodi team are awesome 
This sounds great I think??

So...does this mean that linux versions are available again for Kodi?? I was under the impression that linux versions had stopped being created because there was no one on the Kodi team (at that time) that had the required skills? This post sounds like that has changed?

I ask because I am still running Gotham (really old now) on a Zotac Ion. I think it is using 14??LTS Unbuntu as the underlying OS. I have always assumed I can't run the latest version of Kodi on this old version of Ubuntu (perhaps I'm wrong?). Upgrading means completely rebuilding the whole setup from scratch - something I just don't have the time to do.

Hope I haven't hijacked the thread Oo
(2019-10-18, 22:32)KidKiwi Wrote: [ -> ]
(2019-10-18, 22:16)purplecload Wrote: [ -> ]
(2019-10-18, 18:34)DaVu Wrote: [ -> ]And as promised, here's the feedback

We will provide Kodi 18.4 for Ubuntu 19.10 via our stable ppa. Just give us some time until the specific person has done it Wink

Fantastic! the Kodi team are awesome  
This sounds great I think??

So...does this mean that linux versions are available again for Kodi?? I was under the impression that linux versions had stopped being created because there was no one on the Kodi team (at that time) that had the required skills? This post sounds like that has changed?

I ask because I am still running Gotham (really old now) on a Zotac Ion. I think it is using 14??LTS Unbuntu as the underlying OS. I have always assumed I can't run the latest version of Kodi on this old version of Ubuntu (perhaps I'm wrong?). Upgrading means completely rebuilding the whole setup from scratch - something I just don't have the time to do.

Hope I haven't hijacked the thread Oo 
The Kodi team has been doing great work on Linux. The open-source community is not a big user base, but hopefully, people contribute and support the devs.
libreelec should run very well on the Zotac Ion.
(2019-10-18, 22:32)KidKiwi Wrote: [ -> ]I have always assumed I can't run the latest version of Kodi on this old version of Ubuntu

It depends a little bit. In case you are running Ubuntu 14.04 (which is named "Trusty Tahr"), then we still provide Kodi 18.4 for that OS. Anyway, that OS is completely outdated and shouldn't be used at all anymore as it doesn't receive any security updates anymore. The support for that OS endet in April this year. So you should really consider update to at least Ubuntu 16.04 (EOL = April 2021) or even better Ubuntu 18.04 (EOL = April 2023).

But anyway. You can install Kodi 18.04 on Ubuntu 14.04 via the Kodi ppa and if you think you have the latest Kodi version by using Gotham, then I have to admit that you must have slept the last 5 years Wink. Gotham was released in 2014 and Kodi on Linux made a pretty good progress in the last years.

In case, you are talking about "Kodibuntu", then you are correct. Kodibuntu was based on Ubuntu 14.04 and noone wants to maintain it anymore. That's not because of the lack of knowledge, it's more the lack of time to maintain an OS. In case you are using Kodibuntu you might still be able to update to Kodi 18. I'm currently not sure which PPA is installed on that OS, but switching PPAs and installing Kodi from another one should be as easy as on any other Ubuntu-based OS.
there is no kodi 18 for ubuntu 14.04, only 17.6 via the kodi-old ppa
18.4 already building for ubu19.10 - maybe tommorow will be full build ready for upgarde Big Grin
https://launchpad.net/~team-xbmc/+archiv...ilter=eoan
Thanks for the insights.

Not sure if I'm using Kodibuntu or not. I'll have to figure out how to tell what OS I'm using. 14.04 version linux rings a bell though.

I'm still on Gotham because I run my own customized version of the Neon skin. This skin hasn't been updated for years, so I haven't upgraded. Not looking forward to choosing a new skin because I just don't like a lot of them and I don't have the time (or really the skills) to mod a new skin to my liking.

I am way behind the times with Kodi and have been too busy to keep up. Linux is somewhat of a bear to maintain from my limited perspective. I've forgotten most of the things I knew about the upgrade process Sad and having to start from scratch again just makes me quiver. I've been wanting a windoze HTPC, which are easy to update to the latest version (IMO) - but just can't justify the cost of a new PC when the old Zotac Ion keeps ticking along. And...how to years just tick away!

I've written a lot of notes though about my system and how I did it, so perhaps I'll have to dig them out for review. Memory isn't what it used to be at my age!!

Be nice if I could upgrade to the latest version of Kodi though. Have to figure out how to find my linux version.

Really apprentice the input. Many thanks.
(2019-10-18, 18:34)DaVu Wrote: [ -> ]And as promised, here's the feedback

We will provide Kodi 18.4 for Ubuntu 19.10 via our stable ppa. Just give us some time until the specific person has done it Wink

FYI it looks like some packages need to be marked for rebuild for eoan, such as inputstream-adaptive...

https://launchpad.net/~team-xbmc/+archiv..._state=all
(2019-10-20, 15:06)satadru Wrote: [ -> ]
(2019-10-18, 18:34)DaVu Wrote: [ -> ]And as promised, here's the feedback

We will provide Kodi 18.4 for Ubuntu 19.10 via our stable ppa. Just give us some time until the specific person has done it Wink

FYI it looks like some packages need to be marked for rebuild for eoan, such as inputstream-adaptive...

https://launchpad.net/~team-xbmc/+archiv..._state=all 

also the PVR addons https://launchpad.net/~team-xbmc/+archiv..._state=all
(2019-10-19, 12:36)wsnipex Wrote: [ -> ]there is no kodi 18 for ubuntu 14.04, only 17.6 via the kodi-old ppa

very true. My bad.

But Kodi 17.6 for trusty is also still available in our stable ppa. Just FYI
(2019-10-21, 07:20)purplecload Wrote: [ -> ]
(2019-10-20, 15:06)satadru Wrote: [ -> ]
(2019-10-18, 18:34)DaVu Wrote: [ -> ]And as promised, here's the feedback

We will provide Kodi 18.4 for Ubuntu 19.10 via our stable ppa. Just give us some time until the specific person has done it Wink

FYI it looks like some packages need to be marked for rebuild for eoan, such as inputstream-adaptive...

https://launchpad.net/~team-xbmc/+archiv..._state=all  

also the PVR addons https://launchpad.net/~team-xbmc/+archiv..._state=all 

all working now. thank you team Kodi.
@wsnipex can you fix ppa build for eoan? there is no option to install any language other than english Sad
thank you,
Pages: 1 2